Bug Hunting Session
Bug 117499 - No button and title in an information dialog
Summary: No button and title in an information dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.1.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-05-08 13:22 UTC by Aron Budea
Modified: 2018-05-29 12:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (5.31 KB, image/png)
2018-05-08 13:22 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2018-05-08 13:22:12 UTC
Created attachment 141970 [details]
Screenshot

- Select and copy at least one cell with value in Calc.
- In Writer, use paste special, and paste as DDE link.
- Right click table, and select Rows -> Delete.

You get an error dialog: "The structure of a linked table cannot be modified."

=> The dialog is supposed to have a title, "Information", and an OK button, but has neither.

Observed using a LO 6.1 master build (5e34e3741de8aae10bf30889c227581818276186) / Ubuntu 17.10.
No issue in LO 6.0.3.2.
=> regression

Bibisected to the following commit using repo bibisect-linux-64-6.1.
Adding Cc: to Caolán McNamara, please take a look.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d75144cf44779a8f6cc9bccf9b0a6328b94a5b90
author		Caolán McNamara <caolanm@redhat.com>	2018-02-21 21:20:15 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2018-02-25 20:03:26 +0100

convert remaining InfoBox to weld::MessageDialog
Comment 1 Commit Notification 2018-05-08 16:15:14 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d09cb5398d0a045e9514a72bd022fd1bc7942bc

Resolves: tdf#117499 no ok button in info dialog

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2018-05-10 09:06:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6ede622ab6d2393c3ec90fcaa6e2487232b8c1a8

Related: tdf#117499 set default titles for non-gtk3 message dialogs

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2018-05-29 12:54:45 UTC
Verified in

Version: 6.1.0.0.beta1+
Build ID: da49f4aeb8d5e9a7d2cba8855d911e7cc1d2f1e2
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

@Caolán, Thanks for fixing this!!